Skip to main content
PUT
/
api
/
external
/
v2
/
subscription-contract-one-offs-by-contractId-and-billing-attempt-id
Add one-time product to upcoming order
curl --request PUT \
  --url https://membership-admin.appstle.com/api/external/v2/subscription-contract-one-offs-by-contractId-and-billing-attempt-id
[
  {
    "shop": "my-store.myshopify.com",
    "id": 789,
    "billingAttemptId": 123,
    "subscriptionContractId": 123,
    "variantId": 123,
    "variantHandle": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

contractId
integer<int64>
required

Subscription contract ID

billingAttemptId
integer<int64>
required

Billing attempt ID to add the item to

variantId
integer<int64>
required

Product variant ID to add

variantHandle
string
required

Product handle for identification

Response

One-off product successfully added, returns updated list of all one-offs

shop
string
required

Shop domain identifier

Example:

"my-store.myshopify.com"

id
integer<int64>

Unique identifier of the one-off item

Example:

789

billingAttemptId
integer<int64>

Associated billing attempt ID

subscriptionContractId
integer<int64>

Associated subscription contract ID

variantId
integer<int64>

Shopify product variant ID of the one-off item

variantHandle
string

Product variant handle for the one-off item